<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li class="current"><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_t.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>Tensor()
: <a class="el" href="classarm__compute_1_1_tensor.xhtml#a09dacbd79d16b74ba8698e27ae3dc42b">Tensor</a>
</li>
<li>tensor_shape()
: <a class="el" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">PyramidInfo</a>
, <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">TensorInfo</a>
</li>
<li>TensorAllocator()
: <a class="el" href="classarm__compute_1_1_tensor_allocator.xhtml#ab7ceea9240f9d916e8a09ddec8f4c21f">TensorAllocator</a>
</li>
<li>TensorInfo()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a134dfebc14c0e971f8df850846764f8e">TensorInfo</a>
</li>
<li>TensorShape()
: <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml#af156b289692f8c3f64688e9a2932ae78">TensorShape</a>
</li>
<li>thread_id()
: <a class="el" href="classarm__compute_1_1_window.xhtml#a69c84c265e9eac3ed35dced3cf1475a2">Window</a>
</li>
<li>top
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a3fdd42ea34070a54e696b3adc28c4be3">BorderSize</a>
</li>
<li>total_size()
: <a class="el" href="classarm__compute_1_1_tensor_info.xhtml#a4eaec01ba2c12093db609d1034ad0bc1">TensorInfo</a>
, <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml#a4eaec01ba2c12093db609d1034ad0bc1">TensorShape</a>
</li>
<li>total_size_upper()
: <a class="el" href="classarm__compute_1_1_tensor_shape.xhtml#a91d8061f66e7f8bc56da91d965f04376">TensorShape</a>
</li>
<li>tracking_status
: <a class="el" href="structarm__compute_1_1_c_l_l_k_internal_keypoint.xhtml#a08361efa212a9ab04a5965766ea942d5">CLLKInternalKeypoint</a>
, <a class="el" href="structarm__compute_1_1_key_point.xhtml#a8ca2aae59762685dd38143e5f8267147">KeyPoint</a>
, <a class="el" href="structarm__compute_1_1_n_e_l_k_internal_keypoint.xhtml#a633fd1d1a22ab1b18aa0e091cb201553">NELKInternalKeypoint</a>
, <a class="el" href="struct_internal_keypoint.xhtml#a08361efa212a9ab04a5965766ea942d5">InternalKeypoint</a>
, <a class="el" href="struct_keypoint.xhtml#a7edfed755585d6095522904dbe0ec4d8">Keypoint</a>
</li>
<li>type()
: <a class="el" href="classarm__compute_1_1_c_l_lut.xhtml#a6dc9c052a2732f899adccfaeee468364">CLLut</a>
, <a class="el" href="classarm__compute_1_1_i_lut.xhtml#aa1917b40b57ce0a0f1c69722b46f3f46">ILut</a>
, <a class="el" href="classarm__compute_1_1_i_lut_allocator.xhtml#a8522d89f5f58b6c744e230b6b0641a4b">ILutAllocator</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#a6dc9c052a2732f899adccfaeee468364">Lut</a>
, <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a39f6445d0b790034f0d8fac36f2eb7f5">NormalizationLayerInfo</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
